CREATE procedure [C6Staging].[RP_ST_AnAlberatura]
as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_AnAlberatura',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_AnAlberatura
	insert into c6staging.RP_AnAlberatura (
	Alberatura,
	Livello1,
	Livello2,
	Livello3,
	Livello4,
	Livello5
)
	select
	Alberatura,
	Livello1,
	Livello2,
	Livello3,
	Livello4,
	Livello5
	from [CONSUNI].CatalogoProdotti.dbo.AnAlberatura
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_AnAlberatura' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_AnAlberatura'
		)
end